/* 
 *   Creation Date: <2002/07/13 20:54:15 samuel>
 *   Time-stamp: <2002/07/13 20:55:53 samuel>
 *   
 *	<mmu.c>
 *	
 *	
 *   
 *   Copyright (C) 2002 Samuel Rydh (samuel@ibrium.se)
 *   
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License
 *   as published by the Free Software Foundation
 *   
 */

#include "archinclude.h"
#include "alloc.h"
#include "kernel_vars.h"
#include "mmu.h"

int
arch_mmu_init( kernel_vars_t *kv )
{
	if( create_pte_hash( kv, 0 /* don't touch sdr1 */ ) )
		return 1;
	
	return 0;
}
